# std::filesystem::filesystem_error::path1, std::filesystem::filesystem_error::path2

From cppreference.com
< cpp‎ | filesystem‎ | filesystem error

const std::filesystem::path& path1() const; |  | (since C++17)
const std::filesystem::path& path2() const; |  | (since C++17)

Returns the paths that were stored in the exception object.

### Parameters

(none)

### Exceptions

`noexcept` specification:
noexcept

### Example

| This section is incomplete Reason: no example

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/filesystem/filesystem_error/path&oldid=91812"
Categories:

- unconditionally noexcept
- Todo no example

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template